#include <linux/version.h>
#include <linux/module.h>
#include <linux/device.h>
#include <linux/time.h>

#define NB_MESURES 50

static struct timeval mesures[NB_MESURES];

static int __init init_gettimeofday (void)
{
	int i;
	
	for (i = 0; i < NB_MESURES; i++)
		do_gettimeofday(&(mesures[i]));
	
	for (i = 0; i < NB_MESURES; i++) {
		printk(KERN_INFO "%ld.%06ld\n", mesures[i].tv_sec, mesures[i].tv_usec);
	}
	return 0;
}


static void __exit exit_gettimeofday (void)
{
}


module_init(init_gettimeofday);
module_exit(exit_gettimeofday);
MODULE_LICENSE("GPL");



