#include <sched.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/time.h>

#define NB_MESURES 50

int main(void)
{
	int i;
	struct sched_param param;
	struct timeval mesures[NB_MESURES];
	
	param.sched_priority = 30;
	if (sched_setscheduler(0, SCHED_FIFO, & param) != 0) {
		fprintf(stderr, "Pour des resultats plus precis, executez ce programme sous identite 'root'\n");
		sleep(6);
	}

	for (i = 0; i < NB_MESURES; i++)
		gettimeofday(&(mesures[i]), NULL);
	
	for (i = 0; i < NB_MESURES; i++) {
		fprintf(stdout, "%ld.%06ld\n", mesures[i].tv_sec, mesures[i].tv_usec);
	}
	return 0;
}
